Create Automation
curl --request POST \
--url https://mapi.zbx.boomfi.xyz/v1/partners/accounts/{account_ref}/automations \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--header 'X-API-Nonce: <api-key>' \
--header 'X-API-Signature: <api-key>' \
--data '
{
"action": {
"action_type": "Sweep",
"data": {}
},
"schedule": {
"frequency": "<string>",
"offset": 123,
"time": "<string>"
}
}
'import requests
url = "https://mapi.zbx.boomfi.xyz/v1/partners/accounts/{account_ref}/automations"
payload = {
"action": {
"action_type": "Sweep",
"data": {}
},
"schedule": {
"frequency": "<string>",
"offset": 123,
"time": "<string>"
}
}
headers = {
"X-API-KEY": "<api-key>",
"X-API-Nonce": "<api-key>",
"X-API-Signature": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-API-KEY': '<api-key>',
'X-API-Nonce': '<api-key>',
'X-API-Signature': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
action: {action_type: 'Sweep', data: {}},
schedule: {frequency: '<string>', offset: 123, time: '<string>'}
})
};
fetch('https://mapi.zbx.boomfi.xyz/v1/partners/accounts/{account_ref}/automations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"account_id": 123,
"action": "<unknown>",
"action_type": "Sweep",
"condition": {
"amount": "<string>",
"amount_currency": "<string>",
"comparison": "<string>",
"entity": "<string>",
"asset_symbol": "<string>"
},
"created_at": "<string>",
"enabled": true,
"id": 123,
"last_run_at": "<string>",
"rule_id": 123,
"schedule": {
"frequency": "<string>",
"offset": 123,
"time": "<string>"
},
"updated_at": "<string>"
},
"error": true,
"message": "<string>"
}{
"error": {
"code": 400,
"errors": [
{
"domain": "orders",
"reason": "InsufficientQuantity"
}
],
"message": "Insufficient quantity"
}
}{
"error": {
"code": 400,
"errors": [
{
"domain": "orders",
"reason": "InsufficientQuantity"
}
],
"message": "Insufficient quantity"
}
}{
"error": {
"code": 400,
"errors": [
{
"domain": "orders",
"reason": "InsufficientQuantity"
}
],
"message": "Insufficient quantity"
}
}Partner Automations
Create Automation
Create an automation for a virtual account identified by reference
POST
/
partners
/
accounts
/
{account_ref}
/
automations
Create Automation
Authorizations
Path Parameters
Merchant-defined virtual account reference
Body
application/json
Automation request
⌘I